
import axios from 'axios';
const instance = axios.create();


export function exportRequest(url, conf = {}, headers = {}) {
    //导出添加header
    const handleFunction = (res) => {
        //这里res.data是返回的blob对象
        try {
            var enc = new TextDecoder('utf-8');
            var result = JSON.parse(enc.decode(new Uint8Array(res.data))); //转化成json对象
            console.log(result)

        } catch (error) {
            var blob = new Blob([res.data]);
            var downloadElement = document.createElement('a');
            var href = window.URL.createObjectURL(blob); //创建下载的链接
            downloadElement.href = href;
            // downloadElement.download = `${conf.name || 'table'}.xls`; //下载后文件名
            document.body.appendChild(downloadElement);
            downloadElement.click(); //点击下载
            document.body.removeChild(downloadElement); //下载完成移除元素
            window.URL.revokeObjectURL(href); //释放掉blob对象
            conf.callback && typeof conf.callback === 'function' && conf.callback();
        }
    };
    return instance({
        url: 'http://124.93.101.8:9988' + url,
        method: conf.method,
        params: conf.body,
        headers,
    }).then(response => {
        handleFunction(response);
        console.log(response)
    })
}

